BP_GENBANK2GFF(1)

NAME
bp_genbank2gff.pl - Load a Bio::DB::GFF database from GENBANK files.

SYNOPSIS
  % bp_genbank2gff.pl -d genbank -f localfile.gb
  % bp_genbank2gff.pl -d genbank --accession AP003256
  % bp_genbank2gff.pl --accession AP003256 --stdout

DESCRIPTION
This script loads a Bio::DB::GFF database with the features contained in a either a local genbank file or an accession that is fetched from genbank. Various command-line options allow you to control which database to load and whether to allow an existing database to be overwritten.

This script currently only uses MySQL, though it is a proof-of- principle and could easily be extended to work with other RDMS that are supported by GFF through adaptors.

The database must already have been created and the current user must have appropriate INSERT and UPDATE privileges. The --create option will initialize a new database with the appropriate schema, deleting any tables that were already there.

COMMAND-LINE OPTIONS
Command-line options can be abbreviated to single-letter options. e.g. -d instead of --database.

   --create                  Initialize database schema
   --dsn       <dsn>         Data source (default dbi:mysql:test)
   --user      <user>        Username for mysql authentication
   --pass      <password>    Password for mysql authentication
   --stdout                  Write converted GFF file to stdout rather than loading
   --proxy     <proxy>       Proxy server to use for remote access
   --source    <source>      Specify source field for features ['genbank']
    EITHER --file            Arguments that follow are Genbank/EMBL file names
    OR --accession           Arguments that follow are genbank accession numbers
    OR --acc_file            accession numbers in a file (one per line, no punc.)
    OR --acc_pipe            accession numbers from a STDIN pipe (one per line)

SEE ALSO
Bio::DB::GFF, bulk_load_gff.pl, load_gff.pl

AUTHOR
Scott Cain, cain@cshl.org

Copyright (c) 2003 Cold Spring Harbor Laboratory

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself. See DISCLAIMER.txt for disclaimers of warranty.